#!/bin/bash

# Author: Bertrand Rigaud <bertrand.rigaud@cc.in2p3.fr>
# License: BSD 3 clause

export LD_LIBRARY_PATH=/usr/local/cuda/lib64:$LD_LIBRARY_PATH
export PATH=/usr/local/cuda/bin:/opt/conda/bin:$PATH
export KERAS_BACKEND=tensorflow

echo "########## bench name ############"
echo $ASTRO_BENCH_NAME

echo "########## base path ############"
echo $ASTRO_BASE_PATH

echo "########## dataset path ############"
echo $ASTRO_DATASET_PATH

echo "########## number of gpus ############"
echo $ASTRO_NUM_GPUS

echo "##########activate python############"
echo $(source /opt/conda/bin/activate root)
echo $(python -V 2>&1)
pip show tensorflow
pip show keras

result=$(python $ASTRO_BASE_PATH/prace_benchmark.py 2>&1)
echo $result
